%define anolis_release 2
# Ciruclar dependency with soupsieve which must be disabled at times
%bcond_with  soupsieve
%bcond_with  tests

Name:           python-beautifulsoup4
Version:        4.12.2
Release:        %{anolis_release}%{?dist}
Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
License:        MIT
URL:            http://www.crummy.com/software/BeautifulSoup/
Source0:        https://files.pythonhosted.org/packages/source/b/beautifulsoup4/beautifulsoup4-%{version}.tar.gz
Patch0:         tox.patch
BuildArch:      noarch
# html5lib BR just for test coverage
%if %{with tests}
BuildRequires:  python3-html5lib
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with soupsieve}
BuildRequires:  python3-soupsieve
%endif
BuildRequires:  python3-lxml

%global _description %{expand:
Beautiful Soup is a Python HTML/XML parser designed for quick
turnaround projects like screen-scraping. Three features make it
powerful:

Beautiful Soup won't choke if you give it bad markup.

Beautiful Soup provides a few simple methods and Pythonic idioms for
navigating, searching, and modifying a parse tree.

Beautiful Soup automatically converts incoming documents to Unicode
and outgoing documents to UTF-8.

Beautiful Soup parses anything you give it.

Valuable data that was once locked up in poorly-designed websites is
now within your reach. Projects that would have taken hours take only
minutes with Beautiful Soup.}

%description %_description

%package     -n python3-beautifulsoup4
Summary:        %summary
Requires:       python3-lxml
%if %{with soupsieve}
Requires:       python3-soupsieve
%endif
%{?python_provide:%python_provide python3-beautifulsoup4}

%description -n python3-beautifulsoup4 %_description

%prep
%autosetup -n beautifulsoup4-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bs4

%check
%tox

%files -n python3-beautifulsoup4
%license LICENSE
%{python3_sitelib}/beautifulsoup4-%{version}.dist-info/
%{python3_sitelib}/bs4

%changelog
* Fri Mar 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.12.2-2
- Rebuild with python3.11

* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 4.12.2-1
- Import package for anolis 23
